package com.banesco.common.domain.exception;

import lombok.Getter;

@Getter
public abstract class BaseApiException extends RuntimeException {
    private final String errorCode;
    private final String fieldPath;
    private final String exceptionType;

    protected BaseApiException(String errorCode, String message, String fieldPath, String exceptionType) {
        super(message);
        this.errorCode = errorCode;
        this.fieldPath = fieldPath;
        this.exceptionType = exceptionType;
    }

    protected BaseApiException(String errorCode, String fieldPath, String exceptionType) {
        this(errorCode, null, fieldPath, exceptionType);
    }
}
